# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum YtAspectRatio.Value

    java.lang.Object
      java.lang.Enum<YtAspectRatio.Value>
          com.google.gdata.data.youtube.YtAspectRatio.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YtAspectRatio.Value>

Enclosing class:
  YtAspectRatio

    public static enum YtAspectRatio.Value

extends java.lang.Enum<YtAspectRatio.Value>

Enum Constant Summary
`WIDE_SCREEN`

Method Summary
`java.lang.String` `getXmlName()`
`static YtAspectRatio.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YtAspectRatio.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WIDE_SCREEN

    public static final YtAspectRatio.Value WIDE_SCREEN

Method Detail

### values

    public static YtAspectRatio.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YtAspectRatio.Value c : YtAspectRatio.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YtAspectRatio.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getXmlName

    public java.lang.String getXmlName()